#include "shapes.h"
#include <QColor>
#include <QVector4D>
#include <iostream>

void Cube::accept(Visitor &v) {
    v.visit(*this);
}

void Sphere::accept(Visitor &v) {
    v.visit(*this);
}

// ***

void Cube::setColor(QColor& c) {
	color = QColor(c);
}

QColor Cube::getColor(){
	return color;
};

void Cube::setType(int t) {
	this->type = t;
}

int Cube::getType(){
	return this->type;
};

void Sphere::setColor(QColor& c) {
    color = QColor(c);
}

QColor Sphere::getColor(){
    return color;
};

void Sphere::setType(int t) {
	this->type = t;
}

int Sphere::getType(){
	return this->type;
};
